OSDN Git Service

trunk整理
[ultramonkey-l7/ultramonkey-l7-v3.git] / test / script / l7vsadm / l7vsadm-4-3-3.sh
diff --git a/test/script/l7vsadm/l7vsadm-4-3-3.sh b/test/script/l7vsadm/l7vsadm-4-3-3.sh
new file mode 100755 (executable)
index 0000000..9ed61ba
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+. ${SET_DEFAULT_CONF}
+
+#Add Service
+$L7VSD
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSD"
+        exit 1
+fi
+usleep 100000
+
+RET=`$L7VSADM -E -t localhost:40001 -x -m ip 2>&1 | grep "PARSE ERROR: virtualservice option not found: -x"`
+EXPECT="PARSE ERROR: virtualservice option not found: -x"
+if [ "${RET}" != "${EXPECT}" ]
+then
+        echo "Test failed: $L7VSADM -E -t localhost:40001 -x -m ip"
+        exit 1
+fi
+
+exit 0
+